Page MenuHomePhabricator

Measure number of page views until unseen notification is seen
Closed, ResolvedPublic

Description

We currently measure the number of page views served with an unseen notification, and of those, how many times the notifications popup is opened. This gives us a probability, which is a useful number for performance-related things ("should we preload OOUI?"), but it's susceptible to being skewed by users (or bots) that never view their notifications.

I'd like to also track how many page views users wait before opening the popup. With that metric, users/bots who never view notifications show up in the 99th percentile, and we have a median (and a distribution) that tells us something useful.

Details

Related Gerrit Patches:

Event Timeline

Catrope created this task.Oct 7 2015, 12:20 AM
Catrope raised the priority of this task from to Needs Triage.
Catrope updated the task description. (Show Details)
Catrope added a subscriber: Catrope.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 7 2015, 12:20 AM

I talked to Aaron about what strategy we could use, and we figured we could use MainStash to store the number of page views with unseen notifs for each user: every time we render a page with unseen notifications, we'd increment that counter, and every time the user opens the popup, we'd reset it to zero (and log the value to EventLogging).

Caveats:

  • We also have to reset the counter and log when Special:Notifications is visited (and probably want to be distinguish this from opening the popup)
  • We should distinguish between unseen alerts, unseen messages or both
Catrope triaged this task as High priority.Oct 17 2015, 12:35 AM
Catrope lowered the priority of this task from High to Medium.Dec 19 2015, 1:34 AM

Change 313148 had a related patch set uploaded (by Mooeypoo):
[wip] Store the number of pageviews users have before seeing notifs

https://gerrit.wikimedia.org/r/313148

Moving to "blocked" - we still aren't sure about how to do this properly with the cache, it seems.

Change 313148 abandoned by Mooeypoo:
[wip] Store the number of pageviews users have before seeing notifs

Reason:
Tracked in the ticket if needed to reopen.

https://gerrit.wikimedia.org/r/313148

@MMiller_WMF @Catrope is this still of any interest to the team?

Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 12 2018, 9:30 PM

@Neil_P._Quinn_WMF -- I think this can be closed.

SBisson closed this task as Resolved.Jul 20 2018, 6:14 PM